Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1997590 - F35FailsToInstall: cantor
Summary: F35FailsToInstall: cantor
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cantor
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F35BetaFreezeException F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-08-25 13:37 UTC by Mamoru TASAKA
Modified: 2021-08-30 21:41 UTC (History)
7 users (show)

Fixed In Version: cantor-21.04.3-4.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-30 21:41:37 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Mamoru TASAKA 2021-08-25 13:37:06 UTC
Description of problem:

(cloning bug 1996408 to track on Fedora 35)

cantor F-35 is currently uninstallable:
https://kojipkgs.fedoraproject.org//work/tasks/1569/74491569/anaconda-anaconda.log

 Problem: conflicting requests
  - package LabPlot-2.8.1-3.fc35.x86_64 requires libcantorlibs.so.28()(64bit), but none of the providers can be installed
  - package cantor-libs-21.04.3-2.fc35.x86_64 requires cantor = 21.04.3-2.fc35, but none of the providers can be installed
  - nothing provides libjulia-internal.so.1()(64bit) needed by cantor-21.04.3-2.fc35.x86_64



This currently breaks Fedora-Astronomy_KDE-Live-35-20210825.n.0
https://koji.fedoraproject.org/koji/taskinfo?taskID=74491569

Version-Release number of selected component (if applicable):
cantor-21.04.3-2.fc35
julia-1.7.0beta3-1.fc35 (built on 2021/08/24)

Comment 1 Fedora Update System 2021-08-25 13:39:41 UTC
FEDORA-2021-45d9922edd has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-45d9922edd

Comment 2 Fedora Blocker Bugs Application 2021-08-25 13:43:12 UTC
Proposed as a Freeze Exception for 35-beta by Fedora user mtasaka using the blocker tracking app because:

 cantor F35FailsToInstall and currently this breaks Fedora-Astronomy_KDE-Live-35 (from 20210825.n.0) 

https://koji.fedoraproject.org/koji/taskinfo?taskID=74491569

Comment 3 Fedora Update System 2021-08-25 18:37:19 UTC
FEDORA-2021-45d9922edd has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-45d9922edd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-45d9922edd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Lukas Ruzicka 2021-08-27 12:12:52 UTC
Still cannot be installed when upgraded to this advisory:

Error: 
 Problem: conflicting requests
  - nothing provides libjulia-internal.so.1()(64bit) needed by cantor-21.04.3-2.fc35.x86_64
  - nothing provides libjulia-internal.so.1()(64bit) needed by cantor-21.04.3-3.fc35.x86_64

Comment 5 Fedora Update System 2021-08-29 07:09:23 UTC
FEDORA-2021-45d9922edd has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-45d9922edd

Comment 6 Mamoru TASAKA 2021-08-29 07:10:24 UTC
Should be fixed in cantor-21.04.3-4.fc35.x86_64

Comment 7 Fedora Update System 2021-08-29 17:51:44 UTC
FEDORA-2021-45d9922edd has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-45d9922edd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-45d9922edd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Geoffrey Marr 2021-08-30 16:10:03 UTC
The decision to classify this bug as an "AcceptedFreezeException (Beta)" was made as it is a noticeable issue that cannot be fixed with an update.

Comment 9 Fedora Update System 2021-08-30 21:41:37 UTC
FEDORA-2021-45d9922edd has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.